Bug 441036 - missing dependency
missing dependency
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anjuta (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-05 08:02 EDT by Patrick Hallinan
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-07 20:45:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Hallinan 2008-04-05 08:02:52 EDT
Description of problem:

File->New->Project requires autogen to work.  Error message "Cannot find autogen
version 5..." occurs when trying to create a new project.

Steps to Reproduce:

1. Install the rawhide Live CD.  
2. Install Anjuta.  
3. Try to create a new project.
Comment 1 Fedora Update System 2008-04-05 16:21:23 EDT
anjuta-2.2.3-6.fc8 has been submitted as an update for Fedora 8
Comment 2 Fedora Update System 2008-04-05 16:22:56 EDT
anjuta-2.2.3-6.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-04-09 01:14:45 EDT
anjuta-2.2.3-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update anjuta'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-2920
Comment 4 Patrick Hallinan 2008-04-09 14:21:00 EDT
I un-installed anjuta and autogen (rawhide) and re-installed anjuta.  It pulled
in the autogen dependency, but there are other issues (text below).  Should I
open another bug report?

Creating /home/patrick/Projects/gtk-foobar/ChangeLog ... Fail to copy file
Creating /home/patrick/Projects/gtk-foobar/Makefile.am (using AutoGen)... Ok
Creating /home/patrick/Projects/gtk-foobar/NEWS ... Fail to copy file
Creating /home/patrick/Projects/gtk-foobar/README ... Fail to copy file
Creating /home/patrick/Projects/gtk-foobar/autogen.sh (using AutoGen)... Ok
Creating /home/patrick/Projects/gtk-foobar/gtk-foobar.anjuta ... Ok
Creating /home/patrick/Projects/gtk-foobar/.cvsignore ... Ok
Creating /home/patrick/Projects/gtk-foobar/src/.cvsignore ... Ok
Creating /home/patrick/Projects/gtk-foobar/po/ChangeLog ... Fail to copy file
Creating /home/patrick/Projects/gtk-foobar/po/POTFILES.in (using AutoGen)... Ok
Creating /home/patrick/Projects/gtk-foobar/po/LINGUAS ... Ok
Creating /home/patrick/Projects/gtk-foobar/po/.cvsignore ... Ok
Creating /home/patrick/Projects/gtk-foobar/configure.ac (using AutoGen)... Ok
Creating /home/patrick/Projects/gtk-foobar/src/main.cc (using AutoGen)... Ok
Creating /home/patrick/Projects/gtk-foobar/src/gtk-foobar.glade ... Ok
Creating /home/patrick/Projects/gtk-foobar/src/Makefile.am (using AutoGen)... Ok
New project creation has failed
Comment 5 Debarshi Ray 2008-04-10 00:43:31 EDT
This looks similar to: https://bugzilla.redhat.com/show_bug.cgi?id=440087

By the way, it would be nice if you could give me some feedback on:
https://bugzilla.redhat.com/show_bug.cgi?id=220396

Thank you for your continued interest.
Comment 6 Patrick Hallinan 2008-04-10 06:45:38 EDT
Thanks for showing me the duplicate.  I'll follow that.

I'll also try to look at 220396, but I don't actually use Anjuta.  I've been
wanting to but it's always failed me in some way.  
Comment 7 Debarshi Ray 2008-04-24 23:34:12 EDT
The "missing dependency" problem is now fixed in the latest packages. Can you
confirm?
Comment 8 Bug Zapper 2008-05-14 04:56:08 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Brennan Ashton 2008-06-07 20:45:04 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.